This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189080 - Review Request: perl-Module-Info
Review Request: perl-Module-Info
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189081
  Show dependency treegraph
 
Reported: 2006-04-15 14:03 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 16:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-15 14:03:46 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Info/perl-Module-Info.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Info-0.290-1.src.rpm
Description:
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should work
on any perl code.
Comment 1 Jose Pedro Oliveira 2006-04-17 18:01:07 EDT
Steven,

Before starting the review could you make the following changes:
 * update to version 0.30
 * replace perl by %{__perl} (better consistency)
 * drop the line "find $RPM_BUILD_ROOT -type d ..." as it it not needed for
   noarch perl packages

tia,
jpo
Comment 3 Jose Pedro Oliveira 2006-04-22 15:05:07 EDT
NEEDSWORK

MD5SUMS:
c7dc1e91123ea940d13eaa0cce396ffc  perl-Module-Info-0.30-1.src.rpm

a1e4e39cceda93dc0ab2d296b5075d76  Module-Info-0.30.tar.gz
dab0c42046cd186526f35a1f951758fd  perl-Module-Info.spec


Good:
* CPAN tarball MD5 digest matched the inclued tarball
* URL and Source URL are valid
* License verified (main POD page, Build.PL)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are ok
* No critical bugs in http://rt.cpan.org/NoAuth/Bugs.html?Dist=Module-Info

Needswork:
* missing build requirements
  BuildRequires:  perl(version)
  BuildRequires:  perl(Test::Pod) 

* missing requirement
  Requires:       perl(version)
Comment 4 Jason Tibbitts 2006-04-22 19:04:16 EDT
I'm a bit confused about your needswork items:

Last week, BuildRequires: perl wasn't permitted; now it's optional, but it seems
that here you're requiring it.  Is that what you're asking for, or am I confused?

And this package already (as I look at it now, at least) has the usual

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

so why would a separate Requires: perl(version) be needed?

Just trying to understand these things so I can do better reviews.
Comment 5 Jose Pedro Oliveira 2006-04-22 19:17:21 EDT
(In reply to comment #4)
> I'm a bit confused about your needswork items:
> 
> Last week, BuildRequires: perl wasn't permitted; now it's optional, but it seems
> that here you're requiring it.  Is that what you're asking for, or am I confused?

No, I am not requiring perl. Module::Info can be extened to use version
objects provided by the perl version module.

   $ rpm -q --whatprovides "perl(version)"
   perl-version-0.59-1.fc5
 
> And this package already (as I look at it now, at least) has the usual
> 
> Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
> 
> so why would a separate Requires: perl(version) be needed?

perl(version) represents a perl module available in CPAN (and already in Extras).

the statement "%{__perl} -V:version" prints one of the perl configuration
variables.

   $ perl -V:version
   version='5.8.8';


Note: the rpm perl scripts fail to detect required modules. They only look for 
use statements and ignore require statements (among other things they fail to
look for like system calls, backticks, open with pipes, ...).

Hope this helps,
jpo
Comment 6 Steven Pritchard 2006-04-22 19:22:54 EDT
When I tried BR: perl(version), "make test" still complained about missing
version.pm, so I dropped the line.

I'm guessing that's an upstream bug?
Comment 7 Steven Pritchard 2006-04-22 19:25:09 EDT
[...]
t/n3_version.............ok                                                  
        6/14 skipped: version.pm found, can not test
[...]
$ rpm -q perl-version
perl-version-0.59-1.fc4
Comment 8 Jose Pedro Oliveira 2006-04-22 19:28:20 EDT
No. It found the version module (... version.pm found ...).

The n3_version test script has two subset tests:
  one subset if it finds the version object,
  a second if it doesn't found,
  and it skips one of them. 

jpo
Comment 9 Jason Tibbitts 2006-04-22 22:44:09 EDT
Sorry for being dense; I understand now what you were asking for.
Comment 10 Jose Pedro Oliveira 2006-04-23 09:58:13 EDT
(In reply to comment #9)
> Sorry for being dense; I understand now what you were asking for.

No problem Jason.

I am starting to collect a few cases where requirements aren't detected by the
perl.req script. Will send you a draft version in a couple of minutes. 

jpo
Comment 11 Jose Pedro Oliveira 2006-05-04 12:34:33 EDT
Steven,

Please see comment 3.

jpo
Comment 12 Steven Pritchard 2006-05-04 12:44:47 EDT
Thanks.  I should be getting back to this over the weekend at the latest.
Comment 13 Steven Pritchard 2006-05-06 14:17:15 EDT
OK, so I'm an idiot, I read "version.pm found, can not test" wrong.  Sorry about
that...

I've made the requested changes in -2.

 http://ftp.kspei.com/pub/steve/rpms/perl-Module-Info-0.30-2.src.rpm
Comment 14 Jose Pedro Oliveira 2006-05-06 14:34:26 EDT
No problem.
 
MD5SUMS:
cba0296eedd5f24439aad1716d4caf76  perl-Module-Info-0.30-2.src.rpm

a1e4e39cceda93dc0ab2d296b5075d76  Module-Info-0.30.tar.gz
66ce44d44e3e2c1b7c645aa55f89f6a3  perl-Module-Info.spec

APPROVED.
Comment 15 Steven Pritchard 2006-05-07 16:46:05 EDT
Imported into CVS, branches created, and builds done.

Note You need to log in before you can comment on or make changes to this bug.